/* Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */
#include "statusdialog.h"
#include <QDebug>
#include <QVBoxLayout>
#include <QTextEdit>
#include <QPushButton>

StatusDialog::StatusDialog(QMainWindow *parent) :
    QDialog(parent)
{
    setupGUI();
}

void StatusDialog::setupGUI()
{
    QVBoxLayout *mainLayout = new QVBoxLayout(this);
    QTextEdit *helpText = new QTextEdit;
    helpText->setReadOnly(true);
    QString dummyText = tr("The following certificates are successfully installed:\r");
    dummyText.append(tr("* Email CA 2013\r"));
    dummyText.append(tr("* Server CA 2010\r"));
    dummyText.append(tr("\rThe following certificates are successfully removed:\r"));
    dummyText.append(tr("* Email CA 2010\r"));
    dummyText.append(tr("\rErrors while processing certificates:\r"));
    dummyText.append(tr("* PCA-1-Verwaltung-08\r"));
    helpText->setPlainText(dummyText);

    QHBoxLayout *buttonLayout = new QHBoxLayout;
    QPushButton *closeButton = new QPushButton(tr("Close"));
    connect(closeButton, SIGNAL(clicked()), this, SLOT(close()));
    buttonLayout->insertStretch(0, 10);
    buttonLayout->addWidget(closeButton);

    mainLayout->addWidget(helpText);
    mainLayout->addLayout(buttonLayout);
}
